#ifndef VECTOR_WINDOW_H
#define VECTOR_WINDOW_H

#include <map>
#include "glutAdmin.h"
#include "Fluss.h"

/// Eine Klasse zur Darstellung eines Linienzuges
class VectorWindow : public GlutWindow
{
public:

   /// die Eckpunkte des Linienzuges
   map<string,Fluss> M;
   /// Hhe und Breite des Fensters
   int width,height;
   /// linke untere Ecke des sichtbaren Bereiches
   Point llcorner;
   /// Mastab
   double scale;
   ///
   int mx0,my0,rx0,ry0;
   int op_mode;
   bool scaling;

   /** kreiert ein Fenster namens title mit der Breite initW und Hhe initH
       an der Bildschirmposition (initx,inity)
   */
   VectorWindow(GlutAdmin &admin,int initW,int initH,int initX,int initY,char *title);
   ///
   ~VectorWindow();

   ///
   void DisplayFunc();
   ///
   void ReshapeFunc(int newwidth,int newheight);
   ///
   void IdleFunc();
   ///
   void MenuFunc(int value);
   ///
   void MotionFunc(int x,int y);
   ///
   void MouseFunc(int button,int state,int x,int y);
};

#endif
